<?php

namespace App\Classes\Modules\Wallets\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class WalletObject implements DataTransferObject
{

    /** @var int */
    private $company_module_id;

    /** @var int */
	private $currency_id;

	/** @var int */
	private $code;

    private $amount;

    /**
     * WalletObject constructor.
     * @param int $company_module_id
     * @param int $currency
     * @param int $code
     */
    public function __construct(int $company_module_id, int $currency, int $code, float $amount=0)
    {
        $this->company_module_id = $company_module_id;
        $this->currency_id = $currency;
        $this->code = $code;
        $this->amount = $amount;
    }

    /**
     * @return int
     */
    public function getCompanyModuleId(): int
    {
        return $this->company_module_id;
    }

    /**
     * @return int
     */
    public function getCurrency(): int
    {
        return $this->currency_id;
    }

    /**
     * @return int
     */
    public function getCode(): int
    {
        return $this->code;
    }

    public function getAmount(): float
    {
        return $this->amount;
    }


}
